public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-util/intel-ocl-sdk/
Date: Mon, 21 Nov 2022 08:14:32 +0000 (UTC)	[thread overview]
Message-ID: <1669018080.c4f557fd4bf15bb23073fdd7ec8e3e51ac7989a7.sam@gentoo> (raw)

commit:     c4f557fd4bf15bb23073fdd7ec8e3e51ac7989a7
Author:     Andrew Udvare <audvare <AT> gmail <DOT> com>
AuthorDate: Tue Nov 15 03:54:22 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Nov 21 08:08:00 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c4f557fd

dev-util/intel-ocl-sdk: add 18.1.0.015

Bug: https://bugs.gentoo.org/409015
Closes: https://bugs.gentoo.org/593414
Closes: https://bugs.gentoo.org/627546
Closes: https://bugs.gentoo.org/835868
Signed-off-by: Andrew Udvare <audvare <AT> gmail.com>
Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-util/intel-ocl-sdk/Manifest                    |  1 +
 .../intel-ocl-sdk/intel-ocl-sdk-18.1.0.015.ebuild  | 53 ++++++++++++++++++++++
 2 files changed, 54 insertions(+)

diff --git a/dev-util/intel-ocl-sdk/Manifest b/dev-util/intel-ocl-sdk/Manifest
index 4a096001185f..32050d3d3e99 100644
--- a/dev-util/intel-ocl-sdk/Manifest
+++ b/dev-util/intel-ocl-sdk/Manifest
@@ -1 +1,2 @@
 DIST intel_sdk_for_ocl_applications_2014_ubuntu_4.4.0.117_x64.tgz 105808431 BLAKE2B 58b9bdf1979c070757beff7abaa2b16d43993e7dd4aeda05843facd556f25f3c695a6b2de4745890ce6b7b1a5cee1113b62ffae4059aad49a462d28d6d3461c3 SHA512 c0f65bf4d9b894f11076995744d32aef983e01b40472028e411c7be6b9117ef8b260b9abe46d6e936333aca525f98f81aaca2ab3e093ccefb09f525a3646d7e9
+DIST l_opencl_p_18.1.0.015.tgz 132125861 BLAKE2B 9fbfb0e221f40ec0930c7cdde2061df54ca790a450504b13a3e5deed7b135c2d293fd85b5e44f070fff23c428c381b7cb99664324f416c3d6e225a2661725b12 SHA512 8c00163df272fd6e93c249501b06e4c1de0c994c8e23426705a1c6dc4131fb06e691e98962455f386b26cbf3a21fff3042d6f1a783b97433aa5a7951c007bb36

diff --git a/dev-util/intel-ocl-sdk/intel-ocl-sdk-18.1.0.015.ebuild b/dev-util/intel-ocl-sdk/intel-ocl-sdk-18.1.0.015.ebuild
new file mode 100644
index 000000000000..37e972739ef6
--- /dev/null
+++ b/dev-util/intel-ocl-sdk/intel-ocl-sdk-18.1.0.015.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit rpm
+
+DESCRIPTION="Intel's implementation of the OpenCL standard"
+HOMEPAGE="https://www.intel.com/content/www/us/en/developer/articles/tool/opencl-drivers.html#cpu-section"
+SRC_URI="https://registrationcenter-download.intel.com/akdlm/irc_nas/vcp/15532/l_opencl_p_${PV}.tgz"
+
+LICENSE="Intel-SDP"
+SLOT="0"
+KEYWORDS="-* ~amd64"
+RESTRICT="bindist mirror"
+
+RDEPEND="dev-libs/libxml2
+	sys-libs/ncurses-compat
+	sys-libs/zlib
+	sys-process/numactl
+	>=virtual/opencl-3"
+
+S="${WORKDIR}/l_opencl_p_${PV}"
+
+INTEL_CL="opt/intel/opencl_compilers_and_libraries_${PV}/linux"
+INTEL_INSTALL_PATH="/opt/intel/opencl-${PV}"
+INTEL_VENDOR_DIR=usr/lib/OpenCL/vendors/intel
+ALT_PV="${PV/.015/-015}"
+
+QA_PREBUILT="${INTEL_INSTALL_PATH}/*"
+
+src_unpack() {
+	default
+	rpm_unpack "${S}/rpm/intel-openclrt-${PV}-${ALT_PV}.x86_64.rpm"
+}
+
+src_install() {
+	echo "${EPREFIX}${INTEL_INSTALL_PATH}/lib64/libintelocl.so" > intel64.icd || die
+	insinto /etc/OpenCL/vendors/
+	doins intel64.icd
+
+	insinto "${INTEL_INSTALL_PATH}"
+	insopts -m 755
+	doins "${WORKDIR}/${INTEL_CL}/compiler/lib/clbltfnshared.rtl"
+	insinto "${INTEL_INSTALL_PATH}/lib64"
+	insopts -m 755
+	doins "${WORKDIR}/${INTEL_CL}/compiler/lib/intel64_lin/"*
+
+	dodir "${INTEL_VENDOR_DIR}"
+	dosym -r "${INTEL_INSTALL_PATH}/lib64/libOpenCL.so"     "${INTEL_VENDOR_DIR}/libOpenCL.so"
+	dosym -r "${INTEL_INSTALL_PATH}/lib64/libOpenCL.so.1"   "${INTEL_VENDOR_DIR}/libOpenCL.so.1"
+	dosym -r "${INTEL_INSTALL_PATH}/lib64/libOpenCL.so.2.0" "${INTEL_VENDOR_DIR}/libOpenCL.so.2.0"
+}


             reply	other threads:[~2022-11-21  8:14 UTC|newest]

Thread overview: 12+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-11-21  8:14 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2022-11-21  8:14 [gentoo-commits] repo/gentoo:master commit in: dev-util/intel-ocl-sdk/ Sam James
2021-04-23 11:17 Guilherme Amadio
2021-04-23 10:58 Guilherme Amadio
2020-09-21 18:05 Rick Farina
2020-07-21 19:10 Matt Turner
2020-06-29  6:19 Agostino Sarubbo
2020-04-09 18:01 Marek Szuba
2019-09-23 17:16 Michał Górny
2018-05-27  7:23 Andreas Sturmlechner
2018-04-09 18:59 Jonas Stein
2017-12-10 14:13 Michał Górny

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1669018080.c4f557fd4bf15bb23073fdd7ec8e3e51ac7989a7.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox